package mvcsSkeleton.configs
{
	import mvcsSkeleton.views.api.IMakeCircles;
	import mvcsSkeleton.views.api.IMakeSquares;
	import mvcsSkeleton.views.api.IResetShapes;
	import mvcsSkeleton.views.api.IRotateShapes;
	import mvcsSkeleton.views.components.MorphogenView;
	import mvcsSkeleton.views.components.PolymorphicView;
	import mvcsSkeleton.views.mediators.MakeCirclesMediator;
	import mvcsSkeleton.views.mediators.MakeSquaresMediator;
	import mvcsSkeleton.views.mediators.MorphogenMediator;
	import mvcsSkeleton.views.mediators.ResetShapesMediator;
	import mvcsSkeleton.views.mediators.RotateShapesMediator;
	import mvcsSkeleton.views.mediators.PolymorphicMediator;
	
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;

	public class MediatorsConfig implements IConfig
	{
		[Inject]
		public var mediatorMap:IMediatorMap;

		public function configure():void
		{
			mediatorMap.map(IMakeCircles).toMediator(MakeCirclesMediator);
			mediatorMap.map(IMakeSquares).toMediator(MakeSquaresMediator);
			mediatorMap.map(IRotateShapes).toMediator(RotateShapesMediator);
			
			mediatorMap.map(IResetShapes).toMediator(ResetShapesMediator);
			
			mediatorMap.map(MorphogenView).toMediator(MorphogenMediator);
			
			mediatorMap.map(PolymorphicView).toMediator(PolymorphicMediator);
		}
	}
}
